Subject: Re: [PATCH 3/6] git-check-ref-format.txt: avoid single quote

From: Junio C Hamano <[email-masked]>
Date: Fri, 14 May 2021 07:00:45 +0900

Martin Ågren <[email-masked]> writes:

> Asciidoctor renders 'git cat-file' with the single quotes.

I somehow find this sentence a bit hard to grok.  Do you mean
"instead of typesetting them emphasized, the two-word phrase is
enclosed in a pair of literal single quotes"?

> It's somehow
> tricked by the single quote in "srcref\'s" earler in the paragraph. If
> we drop the backslash, we'll regress with AsciiDoc. Let's just rewrite
> things a bit to avoid "srcref's" entirely.

I also was puzzled by this one and the previous "cat-file" thing,
mostly because I couldn't tell if this is an unrelated problem that
happens to be around the same single-quote letter, or somehow
happens only because the single-quoted 'cat-file' was nearby, until
I checked the patch text (and it seems that this is "here is another
problem around apostrophe").

> Add backticks for monospacing around these refs and command invocations
> while at it.

I have no problem with this particular rephrasing from "srcref's
value" to "value of srcref", but forbidding possessive "'s" from any
future documentation is troubling.

> -. A colon `:` is used as in `srcref:dstref` to mean "use srcref\'s
> -  value and store it in dstref" in fetch and push operations.
> +. A colon `:` is used as in `srcref:dstref` to mean "use the value
> +  of `srcref` and store it in `dstref`" in fetch and push operations.
>    It may also be used to select a specific object such as with
> -  'git cat-file': "git cat-file blob v1.3.3:refs.c".
> +  'git cat-file': `git cat-file blob v1.3.3:refs.c`.

The proposed log message did not explain why you wanted to avoid
double-quote pair on the "cat-file" line.  Is this meant as a
workaround for the "single quotes are shown around git cat-file"
issue?

Thanks.